using System; 
using System.Collections.Generic; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBGuildAlchemist : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildAlchemist(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyBottles ), 500, 20, 0x1709, 0 ) );
			} 
		} 
	} 

	public class SBGuildCarpenter : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildCarpenter(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyBoards ), 300, 20, 0x17BB, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyLogs ), 300, 20, 0x172F, 0 ) );
			} 
		} 
	} 

	public class SBGuildSmith : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildSmith(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyIngots ), 500, 20, 0x17BC, 0 ) );
			} 
		} 
	} 

	public class SBGuildTailor : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildTailor(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyCloth ), 600, 20, 0x1730, 0 ) );
			} 
		} 
	} 

	public class SBGuildScribe : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildScribe(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyScrolls ), 500, 20, 0x1794, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyMaps ), 500, 20, 0x1644, 0 ) );
			} 
		} 
	} 

	public class SBGuildHealer : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildHealer(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyBandages ), 200, 20, 0x1795, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyGarlic ), 300, 20, 0x17B5, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyGinseng ), 300, 20, 0x17B6, 0 ) );
			} 
		} 
	}  

	public class SBGuildRanger : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildRanger(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyArrows ), 200, 20, 0xF41, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyBolts ), 200, 20, 0x1BFD, 0 ) );
			} 
		} 
	}  

	public class SBGuildMage : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildMage(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyBlackPearl ), 500, 20, 0x17B3, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyBloodmoss ), 500, 20, 0x17B4, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyGarlic ), 300, 20, 0x17B5, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyGinseng ), 300, 20, 0x17B6, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyMandrakeRoot ), 300, 20, 0x17B7, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplyNightshade ), 300, 20, 0x17B8, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplySpidersSilk ), 300, 20, 0x17B9, 0 ) );
				Add( new GenericBuyInfo( typeof( SupplySulfurousAsh ), 300, 20, 0x17BA, 0 ) );
			} 
		} 
	}  

	public class SBGuildThief : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 
		public SBGuildThief(){ } 
		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 
		public class InternalSellInfo : GenericSellInfo {public InternalSellInfo(){}} 
		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( SupplyLockpicks ), 600, 20, 0x14FD, 0 ) );
			} 
		} 
	}  
}